#!/bin/bash -e
#
# Tweaks swappiness since the monitoring VM is being pushed quite hard.
#
###############################################################################

set -o pipefail

###############################################################################

hash tee
hash sudo
hash chmod

###############################################################################

echo "------------------------------------------------------------------------"
echo "- Configuring...                                                       -"
echo "------------------------------------------------------------------------"

sudo tee "/etc/sysctl.d/99-zzzzzzzz-swap.conf" <<SYSCTL
vm.swappiness=120
SYSCTL

sudo chmod 644 "/etc/sysctl.d/99-zzzzzzzz-swap.conf"

###############################################################################

echo "------------------------------------------------------------------------"
echo "- DONE!                                                                -"
echo "------------------------------------------------------------------------"

###############################################################################
